package com.docus.server.message.validate;

import com.docus.core.util.Func;
import com.docus.infrastructure.core.exception.BaseException;
import com.docus.server.message.dto.RecordSubmitDTO;

public class RecordSubmitValidate{
    public static void verifyRecordSubmitDTO(RecordSubmitDTO recordSubmitDto) throws BaseException{
        if (Func.isBlank(recordSubmitDto.getInHospIndexNo())) {
            throw new BaseException("住院号不能为空！");
        }
        if (Func.isEmpty(recordSubmitDto.getVisitNo())) {
            throw new BaseException("住院次数不能为空！");
        }
        if (Func.isEmpty(recordSubmitDto.getSubmitTime())) {
            throw new BaseException("提交时间不能为空！");
        }
    }
}
